> ## Documentation Index
> Fetch the complete documentation index at: https://meetbit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Connected Accounts

> Required permissions: `users.read.*`, `connected_accounts.read.*`




## OpenAPI

````yaml openapi.yaml get /users/{user_id}/connected_accounts
openapi: 3.0.3
info:
  title: MeetBit Public API
  version: '2.0'
servers:
  - url: https://{primary_domain}/api/public/v2.0
    variables:
      primary_domain:
        default: example.com
        description: Your tenant's primary
security:
  - AccessKeyId: []
    AccessKeySecret: []
paths:
  /users/{user_id}/connected_accounts:
    parameters:
      - in: path
        name: user_id
        required: true
        schema:
          type: integer
    get:
      tags:
        - Users
      summary: List User Connected Accounts
      description: |
        Required permissions: `users.read.*`, `connected_accounts.read.*`
      responses:
        '200':
          $ref: '#/components/responses/ConnectedAccountListResponse'
        '400':
          $ref: '#/components/responses/ValidationErrorResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedErrorResponse'
        '429':
          $ref: '#/components/responses/RateLimitedErrorResponse'
        '500':
          $ref: '#/components/responses/UnexpectedErrorResponse'
components:
  responses:
    ConnectedAccountListResponse:
      description: ''
      content:
        application/json:
          schema:
            required:
              - message
              - data
              - current_page
              - first_page_url
              - from
              - last_page
              - last_page_url
              - next_page_url
              - path
              - per_page
              - prev_page_url
              - to
              - total
            properties:
              message:
                type: string
              data:
                type: array
                description: A list of Connected Account resource objects.
                items:
                  $ref: '#/components/schemas/ConnectedAccount'
              current_page:
                type: integer
                description: Current page number.
              first_page_url:
                type: string
                description: URL to fetch the first page.
              from:
                type: integer
                nullable: true
              last_page:
                type: integer
                description: Last page number.
              last_page_url:
                type: string
                description: URL to fetch the last page.
              next_page_url:
                type: string
                description: URL to fetch the next page.
                nullable: true
              path:
                type: string
                description: Current URL.
              per_page:
                type: integer
                description: Number of items per page.
              prev_page_url:
                type: string
                description: URL to fetch the next page.
                nullable: true
              to:
                type: integer
                nullable: true
              total:
                type: integer
                description: Total number of items.
    ValidationErrorResponse:
      description: Invalid request parameters or body.
      content:
        application/json:
          schema:
            required:
              - message
              - errors
            properties:
              message:
                type: string
              errors:
                $ref: '#/components/schemas/ValidationError'
    UnauthorizedErrorResponse:
      description: Client does not have the appropriate permissions.
      content:
        text/plain:
          schema:
            anyOf:
              - $ref: '#/components/schemas/UnauthenticatedError'
              - $ref: '#/components/schemas/UnauthorizedError'
    RateLimitedErrorResponse:
      description: Too many requests have been made.
      headers:
        Retry-After:
          schema:
            type: integer
            description: Number of seconds to wait before making another request.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/RateLimitedError'
    UnexpectedErrorResponse:
      description: An unexpected error occurred.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/ServerError'
  schemas:
    ConnectedAccount:
      type: object
      required:
        - id
        - owner_type
        - owner_id
        - provider_id
        - created_at
        - updated_at
      properties:
        id:
          type: integer
          nullable: false
          format: int64
          readOnly: true
        owner_type:
          $ref: '#/components/schemas/OwnerType'
          nullable: false
          readOnly: true
        owner_id:
          type: integer
          nullable: false
          readOnly: true
        provider_id:
          type: integer
          nullable: false
          readOnly: true
        provider_uid:
          type: string
          nullable: true
          readOnly: true
        provider_email:
          type: string
          format: email
          nullable: true
          readOnly: true
        created_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        updated_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        deleted_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
    ValidationError:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      example:
        attribute:
          - The {attribute} field is required.
    UnauthenticatedError:
      type: string
      example: Invalid or missing access key.
    UnauthorizedError:
      type: string
      example: Access denied.
    RateLimitedError:
      type: string
      example: Too many requests.
    ServerError:
      type: string
      example: An unexpected error occurred.
    OwnerType:
      type: string
      enum:
        - App\Models\Tenant\User
        - App\Models\Tenant\Department
  securitySchemes:
    AccessKeyId:
      type: apiKey
      name: X-Access-Key-Id
      in: header
    AccessKeySecret:
      type: apiKey
      name: X-Access-Key-Secret
      in: header

````